'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = function () {
  var schema = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];

  var schemaModel = {};
  schema.forEach(function (item) {
    schemaModel[item.key] = item.type;
  });
  var model = _rsuite.Schema.Model(schemaModel);

  return _react2.default.forwardRef(function (props, ref) {
    return _react2.default.createElement(
      _rsuite.Form,
      _extends({ ref: ref, model: model }, props),
      schema.map(function (item) {
        var key = item.key,
            label = item.label,
            componentClass = item.componentClass,
            helpBlock = item.helpBlock,
            _item$componentProps = item.componentProps,
            componentProps = _item$componentProps === undefined ? {} : _item$componentProps;


        return _react2.default.createElement(
          _rsuite.FormGroup,
          { key: key },
          label && _react2.default.createElement(
            _rsuite.ControlLabel,
            null,
            label
          ),
          _react2.default.createElement(_rsuite.FormControl, _extends({ name: key, accepter: componentClass }, componentProps)),
          helpBlock && _react2.default.createElement(
            _rsuite.HelpBlock,
            null,
            helpBlock
          )
        );
      })
    );
  });
};

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _rsuite = require('rsuite');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }